<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml"
                template="//layout/template.xhtml">
    <ui:define name="body">
        <ui:decorate template="/layout/form/_form_page.xhtml">
            <h2>#{messages['net.ihe.gazelle.atna.SyslogCollector']}</h2>

            <h:form>
                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
                    <ui:param name="panel_id" value="syslogAdmin"/>
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.atna.Administration']}</ui:define>
                    <dl class="dl-horizontal">
                        <ui:include src="/syslog/_status.xhtml"/>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.ThreadState']}</ui:define>
                            <h:outputText value="#{syslogCollectorServerLauncher.getThreadState()}"/>
                        </ui:decorate>
                    </dl>
                    <dl class="dl-horizontal">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.SyslogSystemDirectory']}</ui:define>
                            <span>
                                <h:outputText value="#{applicationAttributes.getSyslogDirectory()}"/>
                                <h:outputLink value="#{syslogCollectorServer.getLinkToApplicationPreferences()}"
                                              title="#{messages['net.ihe.gazelle.atna.Edit']}">
                                    <span class="gzl-icon-pencil"></span></h:outputLink>
                             </span>
                            <div class="help-block"><p>#{messages['net.ihe.gazelle.atna.ThisFolderMustAtLeastIncludeTheFile']}</p>
                                <ul>
                                    <li>#{messages['net.ihe.gazelle.atna.Syslogini']}</li>
                                </ul>
                            </div>
                        </ui:decorate>
                    </dl>
                    <dl class="dl-horizontal">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.IPHost']}</ui:define>
                            <h:outputText value="#{serverManager.getIps()}"/>
                        </ui:decorate>
                    </dl>
                    <s:div styleClass="alert alert-warning" rendered="#{syslogCollectorServerLauncher.isRunning()}"><p><span
                            class="fa fa-exclamation-triangle"/>#{messages['net.ihe.gazelle.atna.ModifyThePropertiesGivenBelowWillRestartTheSyslo']}
                    </p></s:div>
                    <dl class="dl-horizontal">
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.UDPPorts']}</ui:define>
                            <rich:inplaceInput value="#{syslogCollectorServer.UDPPorts}"
                                               defaultLabel="&#160;&#160;&#160;&#160;"
                                               showControls="true"
                                               title="#{messages['net.ihe.gazelle.atna.ClickToEdit']}">
                                <a4j:ajax event="change" render="syslogAdmin" execute="@this"/>
                            </rich:inplaceInput>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TCPPorts']}</ui:define>
                            <rich:inplaceInput value="#{syslogCollectorServer.TCPPorts}"
                                               defaultLabel="&#160;&#160;&#160;&#160;"
                                               showControls="true"
                                               title="#{messages['net.ihe.gazelle.atna.ClickToEdit']}">
                                <a4j:ajax event="change" render="syslogAdmin" execute="@this"/>
                            </rich:inplaceInput>
                        </ui:decorate>
                        <ui:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.atna.TLSPorts']}</ui:define>
                            <rich:inplaceInput value="#{syslogCollectorServer.TLSPorts}"
                                               defaultLabel="&#160;&#160;&#160;&#160;"
                                               showControls="true"
                                               title="#{messages['net.ihe.gazelle.atna.ClickToEdit']}">
                                <a4j:ajax event="change" render="syslogAdmin" execute="@this"/>
                            </rich:inplaceInput>
                        </ui:decorate>
                    </dl>
                    <ui:define name="panel_footer">
                        <a4j:commandButton styleClass="gzl-btn gzl-btn-green" execute="@this"
                                           value="#{messages['net.ihe.gazelle.atna.StartSyslogCollector']}" render="syslogAdmin"
                                           action="#{syslogCollectorServerLauncher.start()}"/>
                        <a4j:commandButton styleClass="gzl-btn gzl-btn-red" execute="@this"
                                           value="#{messages['net.ihe.gazelle.atna.StopSyslogCollector']}" render="syslogAdmin"
                                           action="#{syslogCollectorServerLauncher.stop()}"/>
                    </ui:define>
                </ui:decorate>
            </h:form>

        </ui:decorate>
    </ui:define>
</ui:composition>